Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class SimpleDomainEditor.RefinementEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ix.iface.util.VerticalPanel
                          ix.iview.SimpleDomainEditor.RefinementEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Enclosing class:
  SimpleDomainEditor

    protected class SimpleDomainEditor.RefinementEditor

extends VerticalPanel
implements java.awt.event.ActionListener

Simple refinement-editing panel.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`(package private) javax.swing.JButton` | `clearButton`
`(package private) javax.swing.JTextArea` | `commentText`
`(package private) SimpleDomainEditor.TemporalConstraintPanel` | `constraintPanel`
`(package private) javax.swing.JButton` | `deleteButton`
`(package private) Refinement` | `editingRefinement`
`(package private) javax.swing.JTextArea` | `expansionText`
`(package private) java.lang.String` | `lineSeparator`
`(package private) javax.swing.JTextField` | `nameText`
`(package private) javax.swing.JTextField` | `patternText`
`(package private) javax.swing.JButton` | `saveButton`
`(package private) int` | `textCols`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SimpleDomainEditor.RefinementEditor()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`protected void` | `addLeftLabel(java.lang.String text)`
`protected void` | `clearEdit()`
`protected void` | `defineNewRefinement()`
`protected void` | `defineRenamedRefinement()`
`protected void` | `deleteRefinement()` Delete a refinement.
`void` | `editNewRefinement()`
`void` | `editPartialRefinement(Refinement r)`
`void` | `editRefinement(Refinement r)`
`protected void` | `fixVarDcls(Refinement r)`
`protected void` | `loadFromRefinement(Refinement r)`
`protected javax.swing.JButton` | `makeButton(java.lang.String text)`
`protected ix.icore.domain.ListOfVariableDeclaration` | `makeVarDcls(java.util.Set vars)`
`protected void` | `redefineRefinement(Refinement r)`
`protected void` | `saveDefinition()` Define a refinement
`protected void` | `setButtonsEnabled(boolean value)`
`protected void` | `setUp()`
`protected void` | `storeIntoRefinement(Refinement r)`

Methods inherited from class ix.iface.util.VerticalPanel
`add, add, add, add, add, addFixedHeight`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lineSeparator

    java.lang.String lineSeparator

### textCols

    int textCols

### nameText

    javax.swing.JTextField nameText

### patternText

    javax.swing.JTextField patternText

### expansionText

    javax.swing.JTextArea expansionText

### commentText

    javax.swing.JTextArea commentText

### constraintPanel

    SimpleDomainEditor.TemporalConstraintPanel constraintPanel

### saveButton

    javax.swing.JButton saveButton

### deleteButton

    javax.swing.JButton deleteButton

### clearButton

    javax.swing.JButton clearButton

### editingRefinement

    Refinement editingRefinement

Constructor Detail

### SimpleDomainEditor.RefinementEditor

    SimpleDomainEditor.RefinementEditor()

Method Detail

### setUp

    protected void setUp()

### addLeftLabel

    protected void addLeftLabel(java.lang.String text)

### makeButton

    protected javax.swing.JButton makeButton(java.lang.String text)

### setButtonsEnabled

    protected void setButtonsEnabled(boolean value)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### editNewRefinement

    public void editNewRefinement()

### editRefinement

    public void editRefinement(Refinement r)

### editPartialRefinement

    public void editPartialRefinement(Refinement r)

### clearEdit

    protected void clearEdit()

### saveDefinition

    protected void saveDefinition()

  Define a refinement

### defineRenamedRefinement

    protected void defineRenamedRefinement()

### defineNewRefinement

    protected void defineNewRefinement()

### redefineRefinement

    protected void redefineRefinement(Refinement r)

### loadFromRefinement

    protected void loadFromRefinement(Refinement r)

### storeIntoRefinement

    protected void storeIntoRefinement(Refinement r)

### fixVarDcls

    protected void fixVarDcls(Refinement r)

### makeVarDcls

    protected ix.icore.domain.ListOfVariableDeclaration makeVarDcls(java.util.Set vars)

### deleteRefinement

    protected void deleteRefinement()

  Delete a refinement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD